'Program to log A/D data and push it to a serial port in real time
		'Send a data packet once every second
		setfreq m32
		'Note that this logic works even during a clock rollover
		'w0:adc1:pin1, w1:adc2:pin2, w2:adc3:pin4, w3:half sw(b6):pin3, w4:checksum, w5:time
		'Preload a settimer count of 4991 to create pulse every 1/10 second at 4 MHZ
		'settimer count 4991
jump2:	'w5=time
jump3:	'if time<>w5 then jump1
		'goto jump3
		'disconnect
		serrxd ("X")
		'reconnect

		'Read Switch and A/D inputs 1, 2 and 4 and store in byte b6 and words w0, w1 and w2
jump1:	b6=pin3
		readadc10 1,w0
		readadc10 2,w1
		readadc10 4,w2
		'For error checking calculate sum of the readings (Checksum)
		w4=b6+w0+w1+w2
		'Output reading to COM Port at 2400 baud
		'Note: 13 is CR (Carriage Return), 10 is LF (Line Feed)
		'Note: 44 is COMMA, 32 is SPACE
		'Serial Data Format is (N,8,1)
		'Character 'X' (ASCII 88) is sent at start of line to error check format
		'serout 0,n2400,(88,44,32,#b6,44,32,#w0,44,32,#w1,44,32,#w2,13,10)
		'serout 0,n4800,(88,44,32,#time,44,32,#b6,44,32,#w0,44,32,#w1,44,32,#w2,44,32,#w4,13,10)
		sertxd(88,44,32,#time,44,32,#b6,44,32,#w0,44,32,#w1,44,32,#w2,44,32,#w4,13,10)
		'Wait for 100 milliseconds, note tweak required
		'This delay must be long enough to allow computer to plot data
		'This delay is no longer needed because the data is now picaxe paced
		'ause 100
		'Repeat the process
		'goto jump2
		'pause 200
		goto jump2

